

# 夏买电，东买煤？

> 来源：https://uqer.io/community/share/563c8050f9f06c713ddfeb6c

冬吃萝卜夏吃姜？冬炒煤来夏炒电 ？

行业分类 ：申万二级行业

行业涨幅 ：行业成分股市值加权

验证时间 ：冬天(12,1,2)、夏天(7,8,9)..O、O .... 不懂什么夏至，春分，冬至啊/........

主观预测 ：然并卵好吗。!!!....唱唱 [炒股歌](http://baike.baidu.com/link?url=xofsFm-IwV2ll0v-JA0W0mfIw6apRmhD2NhcA9e1oRJ_gV6P8VvHf6xfTXypGVn6C0X9zSk-bmUVew5_HpfIeq) 都能攥钱还要我们混吗？

参考 ：[Uqer社区牛人李杰关于行业涨幅统计的贴子](https://uqer.io/community/share/55401d69f9f06c1c3d687fa1)

```py
#获得行业信息
def GetEquIndustry(universe,field):    
    num = 100
    cnt_num = len(universe)/num
    if cnt_num > 0:
        df = pd.DataFrame({})
        for i in range(cnt_num) :
            sub_df = DataAPI.EquIndustryGet(secID=universe[i*num:(i+1)*num],field=field)
            df = pd.concat([df,sub_df])
        if (i+1)*num != len(universe):
            sub_df = DataAPI.EquIndustryGet(secID=universe[(i+1)*num:],field=field)
            df = pd.concat([df,sub_df])
    else:
        df = DataAPI.EquIndustryGet(secID=universe,field=field)
    return df
```

选取行业，将行业所属股票加入`universe`

```py
from CAL.PyCAL import *
import pandas as pd
cal = Calendar('China.SSE')
universe = DataAPI.EquGet(equTypeCD='A')['secID'].tolist()    #获得全A股的secID
id2nm = lambda x:x[0:6]
tk_list_A = map(id2nm,universe)    #获得全A股的ticker

Ind_info = GetEquIndustry(universe=universe,field=['ticker','secShortName','industryName2'])    #获得个股的申万行业分类
Ind_info_gp = Ind_info.groupby('industryName2')#按照行业分组

universe = []
Ind_tks_dic = {}    #获得每个行业包含的股票
for ind_nm,sub_info in Ind_info_gp:
    if ind_nm in ['电力' , '煤炭开采'] :
        Ind_tks_dic[ind_nm] = sub_info.drop_duplicates('ticker')['ticker'].tolist()           
        universe += Ind_tks_dic[ind_nm]       
# print len(universe)
```

获取所需各段时间段的数据，放入`Data_time`中

```py
from pandas import DataFrame,Series
from CAL.PyCAL import *
cal = Calendar('China.SSE')
data = DataFrame()
field = ['ticker','secShortName','tradeDate','preClosePrice','closePrice','turnoverValue']
#时间轴(开始时间)
time = ['20150630','20140630','20130630','20120630','20110630', '20141130', '20131130', '20121130', '20111130', '20101130']
#保存各个时间段的数据
Data_time = {}
#保存各个时间段的股票名字
tk_nm_dic ={}
for s in time : 
    Data_time[s] = DataFrame()
    data_temp = DataAPI.MktEqudAdjGet( ticker = universe , field =field , beginDate = s , endDate = cal.advanceDate(s,'3M', BizDayConvention.Following).strftime('%Y%m%d'))    
    data_temp['marketValue']  = DataAPI.MktEqudGet(ticker = universe ,field ='marketValue' , beginDate = s , endDate = cal.advanceDate(s,'3M', BizDayConvention.Following).strftime('%Y%m%d')) 
    Data_time[s] = pd.concat([Data_time[s],data_temp])  
    tk_nm_dic[s] = dict(zip(Data_time[s]['ticker'],Data_time[s]['secShortName']))                                    # 获得个股ticker与名称的对应字典

for s in Data_time.values() :         
    s['tradeDate'] = pd.to_datetime(s['tradeDate'])                                         # 将tradeDate这一列的格式由string改为datetime
    s['increase'] = s['closePrice']/s['preClosePrice']                                      # 获得个股每天的收益    
```

```py
#股票数据统计
Stock_Data = {}
for s in Data_time.keys() :    
    Stock_dict = {'ticker':[],'income':[],'turnoverValue':[] ,'marketValue' :[]} 
    # 获得每个时间段的Data计算个股的收益和平均市值
    for tk,sub_info in Data_time[s].groupby('ticker') :
        income = sub_info['increase'].prod()-1                     # 获得在这段时间内该股的涨幅    
        mkt_value = sub_info['marketValue'].sum()/len(sub_info)     
        turnoverValue_avg = sub_info['turnoverValue'].sum()/len(sub_info)   
        Stock_dict['ticker'].append(tk)
        Stock_dict['income'].append(income)
        Stock_dict['marketValue'].append(mkt_value)
        Stock_dict['turnoverValue'].append(turnoverValue_avg)
    # 返回时间为Key的个股数据
    Stock_Data[s] = pd.DataFrame(Stock_dict)
```

```py
#行业数据统计
Output_dicy = {}
Output_dicy['industry'] = []
Output_dicy['Num'] = []
Output_dicy['bigstk_Summer15'] = []
Output_dicy['bigstk_Winter14'] = []
for ind,tks in Ind_tks_dic.items() :
    for table in Stock_Data.keys() : 
        if not table in Output_dicy.keys() : 
            Output_dicy[table] = []
        sub_Industry = Stock_Data[table][Stock_Data[table]['ticker'].isin(tks)]                
        # 行业指数收益
        rtn_Industry = (sub_Industry['income']*sub_Industry['marketValue']).sum()/sub_Industry['marketValue'].sum() 
        # 成交量
        bigstk = sub_Industry.sort(columns='turnoverValue',ascending=False)['ticker'][0:3].tolist()
        
        Output_dicy[table].append(rtn_Industry)
        # 计算成交量
        if table == '20150630' :   
            Output_dicy['bigstk_Summer15'].append(map(lambda x:tk_nm_dic['20150630'][x],bigstk))
        if table == '20141130' :   
            Output_dicy['bigstk_Winter14'].append(map(lambda x:tk_nm_dic['20141130'][x],bigstk))            
    #最新行业成分数量     
    Output_dicy['Num'].append(len(sub_Industry))
    Output_dicy['industry'].append(ind)       

# 计算上证指数同期涨幅
for s in time : 
    temp = DataAPI.MktIdxdGet(ticker= '000001' ,  beginDate = s , endDate = cal.advanceDate(s,'3M', BizDayConvention.Following).strftime('%Y%m%d'),field=u"secShortName,closeIndex",pandas="1")    
    SH_rtn = temp['closeIndex'].values[-1] / temp['closeIndex'].values[0] - 1
    Output_dicy[s].append(SH_rtn)
Output_dicy['Num'].append(1)
Output_dicy['industry'].append('上证指数') 
Output_dicy['bigstk_Winter14'].append(None)
Output_dicy['bigstk_Summer15'].append(None)
        
Output_table = pd.DataFrame(Output_dicy)
```

```py
# 夏天统计
Out_put = Output_table.loc[:,['industry','Num','20110630','20120630','20130630','20140630','20150630','bigstk_Summer15']]
Out_put.columns = [u'行业名称',u'该行业成分股数目(15年)',u'2011年夏天收益',u'2012年夏天收益',u'2013年夏天收益',u'2014年夏天收益',u'2015年夏天收益',u'2015年夏天成交量前三']
# print u'一共有%d个申万二级行业'%len(Out_put),u'，1年内行业涨幅'
Out_put.sort(u'2015年夏天收益' , ascending = False)
```


| | 行业名称 | 该行业成分股数目(15年) | 2011年夏天收益 | 2012年夏天收益 | 2013年夏天收益 | 2014年夏天收益 | 2015年夏天收益 | 2015年夏天成交量前三 |
| --- | --- | --- | --- | --- | --- | --- | --- | --- |
| 0 | 电力 | 65 | -0.164885 | -0.080913 | 0.047399 | 0.311616 | -0.277611 | [中国核电, 国电电力, 梅雁吉祥] |
| 2 | 上证指数 | 1 | -0.145853 | -0.068142 | 0.089925 | 0.154049 | -0.286270 | None |
| 1 | 煤炭开采 | 44 | -0.095143 | -0.029945 | 0.070714 | 0.244293 | -0.341531 | [国投新集, 中国神华, 中煤能源] |

14年夏天电力还不错。。。

```py
# 冬天统计
Out_put = Output_table.loc[:,['industry','Num','20101130','20111130','20121130','20131130','20141130','bigstk_Winter14']]
Out_put.columns = [u'行业名称',u'该行业成分股数目(15年)',u'2010年冬天收益',u'2011年冬天收益',u'2012年冬天收益',u'2013年冬天收益',u'2014年冬天收益',u'2014年冬天成交量前三']
# print u'一共有%d个申万二级行业'%len(Out_put),u'，1年内行业涨幅'
Out_put.sort(u'2014年冬天收益' , ascending = False)
```


| | 行业名称 | 该行业成分股数目(15年) | 2010年冬天收益 | 2011年冬天收益 | 2012年冬天收益 | 2013年冬天收益 | 2014年冬天收益 | 2014年冬天成交量前三 |
| --- | --- | --- | --- | --- | --- | --- | --- | --- |
| 2 | 上证指数 | 1 | 0.030095 | 0.040744 | 0.194673 | -0.068438 | 0.244808 | None |
| 0 | 电力 | 65 | -0.018729 | -0.003542 | 0.161399 | -0.043282 | 0.210642 | [国电电力, 国投电力, 长江电力] |
| 1 | 煤炭开采 | 44 | 0.059724 | 0.017702 | 0.157182 | -0.209695 | 0.140903 | [中国神华, 国投新集, 西山煤电] |

冬买煤、冬买煤、冬买煤，呵呵！赶紧买...保证亏不死！ O.....~

