

# 申万二级行业在最近1年、3个月、5个交易日的涨幅统计

> 来源：https://uqer.io/community/share/55401d69f9f06c1c3d687fa1

功能：运行此代码可知最近1年、3个月、5个交易日各个行业的涨幅

注意1：行业是采用申万二级行业分类

注意2：行业涨幅是个股涨幅加权平均成交金额所得

```py
def GetEquIndustry(universe,field):    #获得行业信息
    num = 100
    cnt_num = len(universe)/num
    if cnt_num > 0:
        df = pd.DataFrame({})
        for i in range(cnt_num):
            sub_df = DataAPI.EquIndustryGet(secID=universe[i*num:(i+1)*num],field=field)
            df = pd.concat([df,sub_df])
        if (i+1)*num != len(universe):
            sub_df = DataAPI.EquIndustryGet(secID=universe[(i+1)*num:],field=field)
            df = pd.concat([df,sub_df])
    else:
        df = DataAPI.EquIndustryGet(secID=universe,field=field)
    return df

def CountTime():    #获得可获得数据的最后一个交易日日期，返回的是datetime格式
    cal = Calendar('China.SSE')
    today = datetime.today()
    today_str = today.strftime("%Y%m%d")
    cal_date = Date.fromDateTime(today)       
    time1=" 17:05:00"
    ben_time = datetime.strptime(today_str+time1,"%Y%m%d %H:%M:%S")
    if cal.isBizDay(cal_date) & (today>ben_time):    #如果是交易日，则判断当天是不是在15点前        
        date = today
    else:    #如果当天不是交易日，则获得前一个交易日
        cal_wd = cal.advanceDate(cal_date, '-1B', BizDayConvention.Following)    #Date格式
        date = cal_wd.toDateTime()    #datetime格式        
    return date

def GetMktEqud(tk_list,**kargs):
    num = 100
    cnt_num = len(tk_list)/num
    if cnt_num > 0:
        df = pd.DataFrame({})
        for i in range(cnt_num):
            sub_df = DataAPI.MktEqudGet(ticker=tk_list[i*num:(i+1)*num],**kargs)
            df = pd.concat([df,sub_df])
        if (i+1)*num != len(tk_list):
            sub_df = DataAPI.MktEqudGet(ticker=tk_list[(i+1)*num:],**kargs)
            df = pd.concat([df,sub_df])
    else:
        df = DataAPI.MktEqudGet(ticker=tk_list,**kargs)
    
    
    list_info = GetSecID(tk_list = tk_list,field=['ticker','listDate'])    #获得上市日期信息，修改上市当天的数据中的preClosePrice为openPrice
    df.set_index(['ticker','tradeDate'],inplace=True)     
    df_gp = df.groupby(level='ticker')    
    df_new = pd.DataFrame({})    #储存新数据
    for tk,sub_info in df_gp:
        list_date = list_info['listDate'][list_info['ticker']==tk].iloc[0]
        try:
            sub_info.loc[(tk,list_date),'preClosePrice'] = sub_info.loc[(tk,list_date),'openPrice'] 
        except:
            pass
        list_info = list_info[list_info['ticker']!=tk]    
        df_new = pd.concat([df_new,sub_info])
    df_new.reset_index(inplace=True)
    return df_new
def GetSecID(tk_list,field):    #获取上市日期
    num = 100
    cnt_num = len(tk_list)/num
    if cnt_num > 0:
        df = pd.DataFrame({})
        for i in range(cnt_num):
            sub_df = DataAPI.SecIDGet(ticker=tk_list[i*num:(i+1)*num],field=field)
            df = pd.concat([df,sub_df])
        if (i+1)*num != len(tk_list):
            sub_df = DataAPI.SecIDGet(ticker=tk_list[(i+1)*num:],field=field)
            df = pd.concat([df,sub_df])
    else:
        df = DataAPI.SecIDGet(ticker=tk_list,field=field)
    return df

def GetReturn(Mkt_Info_df):    #该函数是用来获得行业在一段时间内的收益，以及个股在这段时间内的收益（先计算成分股在一段时间内的涨幅，再加权成交金额得到主题的涨幅）

    Mkt_Info_df_gp = Mkt_Info_df.groupby('ticker')    
    tk_inc_dic = {'ticker':[],'return':[],'turnoverValue':[]}
    for tk,sub_info in Mkt_Info_df_gp:
        rtn = sub_info['increase'].prod()-1
        tnv = sub_info['turnoverValue'].sum()/len(sub_info)    #获得平均成交金额
        tk_inc_dic['ticker'].append(tk)
        tk_inc_dic['return'].append(rtn)
        tk_inc_dic['turnoverValue'].append(tnv)        
    tk_inc_df = pd.DataFrame(tk_inc_dic)
    tk_inc_df['secShortName'] = tk_inc_df['ticker'].apply(lambda x:tk2nm_dic[x])
    rtn_together = (tk_inc_df['return']*tk_inc_df['turnoverValue']).sum()/tk_inc_df['turnoverValue'].sum()    #获得该主题一段时间的涨幅，成交金额加权收益
    return rtn_together,tk_inc_df
```

```py
import pandas as pd
cal = Calendar('China.SSE')

universe = DataAPI.EquGet(equTypeCD='A')['secID'].tolist()    #获得全A股的secID
id2nm = lambda x:x[0:6]
tk_list_A = map(id2nm,universe)    #获得全A股的ticker

Ind_info = GetEquIndustry(universe=universe,field=['ticker','secShortName','industryName2'])    #获得个股的申万行业分类
Ind_info_gp = Ind_info.groupby('industryName2')    #按照行业分组
Ind_tks_dic = {}    #获得每个行业包含的股票
for ind_nm,sub_info in Ind_info_gp:
    Ind_tks_dic[ind_nm] = sub_info['ticker'].tolist()
```

```py
#获得统计的日期

#获得研究的结束时间，如果在当天收盘前，则为前一个交易日
endDate_dt = CountTime()
endDate_CAL = Date.fromDateTime(endDate_dt)

#前一季度的时间
beginDate_3M_CAL = cal.advanceDate(endDate_CAL,'-3M',BizDayConvention.Following)
beginDate_3M_dt = beginDate_3M_CAL.toDateTime()
#前5个交易日的时间
period_day = 5              ###################输入###################
period_CAL = '-'+str(period_day)+'B'
beginDate_5B_CAL = cal.advanceDate(endDate_CAL, period_CAL, BizDayConvention.Following) 
beginDate_5B_dt = beginDate_5B_CAL.toDateTime()
```

```py
#获得全A股在过去1年的市场行情

field = ['ticker','secShortName','tradeDate','preClosePrice','closePrice','turnoverValue','marketValue']
Mkt_Info_df_1Y = GetMktEqud(tk_list=tk_list_A,field =field)     #获取市场行情，省略了beginDate和endDate，则获取最近1年的行情
Mkt_Info_df_1Y['tradeDate'] = pd.to_datetime(Mkt_Info_df_1Y['tradeDate'])    #将tradeDate这一列的格式由string改为datetime
Mkt_Info_df_1Y['increase'] = Mkt_Info_df_1Y['closePrice']/Mkt_Info_df_1Y['preClosePrice']    #获得个股每天的收益

tk_nm_dic = dict(zip(Mkt_Info_df_1Y['ticker'],Mkt_Info_df_1Y['secShortName']))    #获得个股ticker与名称的对应字典

Mkt_Info_df_3M = Mkt_Info_df_1Y[Mkt_Info_df_1Y['tradeDate']>beginDate_3M_dt]    #最近3个月的信息
Mkt_Info_df_5B = Mkt_Info_df_1Y[Mkt_Info_df_1Y['tradeDate']>beginDate_5B_dt]    #最近5个交易日的信息
```

```py
#统计得到个股以下信息：1年收益inc_1Y、3个月收益inc_3M、5个交易日收益inc_5B，1年平均市值mkv_1Y、3个月平均市值mkv_3M、5个交易日平均市值mkv_5B

#获得一年的涨幅、平均成交金额数据
Mkt_Info_df_1Y_gp = Mkt_Info_df_1Y.groupby('ticker')    #按照ticker分类
tk_rtn_dic_1Y = {'ticker':[],'inc_1Y':[],'tnv_1Y':[]}    #获得每个个股的收益和平均市值
for tk,sub_info in Mkt_Info_df_1Y_gp:
    inc_1Y = sub_info['increase'].prod()-1    #获得在这段时间内该股的涨幅
    tnv_avg_1Y = sub_info['turnoverValue'].sum()/len(sub_info)   
    tk_rtn_dic_1Y['ticker'].append(tk)
    tk_rtn_dic_1Y['inc_1Y'].append(inc_1Y)
    tk_rtn_dic_1Y['tnv_1Y'].append(tnv_avg_1Y)    
tk_rtn_df_1Y = pd.DataFrame(tk_rtn_dic_1Y)
#获得3个月的涨幅、平均成交金额数据
Mkt_Info_df_3M_gp = Mkt_Info_df_3M.groupby('ticker')    #按照ticker分类
tk_rtn_dic_3M = {'ticker':[],'inc_3M':[],'tnv_3M':[]}    #获得每个个股的收益和平均市值
for tk,sub_info in Mkt_Info_df_3M_gp:
    inc_3M = sub_info['increase'].prod()-1    #获得在这段时间内该股的涨幅
    tnv_avg_3M = sub_info['turnoverValue'].sum()/len(sub_info)   
    tk_rtn_dic_3M['ticker'].append(tk)
    tk_rtn_dic_3M['inc_3M'].append(inc_3M)
    tk_rtn_dic_3M['tnv_3M'].append(tnv_avg_3M)    
tk_rtn_df_3M = pd.DataFrame(tk_rtn_dic_3M)

#获得5个交易日的涨幅、平均成交金额数据
Mkt_Info_df_5B_gp = Mkt_Info_df_5B.groupby('ticker')    #按照ticker分类
tk_rtn_dic_5B = {'ticker':[],'inc_5B':[],'tnv_5B':[]}    #获得每个个股的收益和平均市值
for tk,sub_info in Mkt_Info_df_5B_gp:
    inc_5B = sub_info['increase'].prod()-1    #获得在这段时间内该股的涨幅
    tnv_avg_5B = sub_info['turnoverValue'].sum()/len(sub_info)   
    tk_rtn_dic_5B['ticker'].append(tk)
    tk_rtn_dic_5B['inc_5B'].append(inc_5B)
    tk_rtn_dic_5B['tnv_5B'].append(tnv_avg_5B)    
tk_rtn_df_5B = pd.DataFrame(tk_rtn_dic_5B)
```

```py
#计算1年、3个月、5个交易日的行业涨幅

Ind_tks_dic
ind_rtn_dic = {'industry':[],'rtn_1Y':[],'rtn_3M':[],'rtn_5B':[],'bigstk_1Y':[],'bigstk_3M':[],'bigstk_5B':[],'Num':[]}
for ind,tks in Ind_tks_dic.items():
    sub_info_1Y = tk_rtn_df_1Y[tk_rtn_df_1Y['ticker'].isin(tks)]    #先选出该行业的个股内容，包括收益和平均成交金额
    rtn_ind_1Y = (sub_info_1Y['inc_1Y']*sub_info_1Y['tnv_1Y']).sum()/sub_info_1Y['tnv_1Y'].sum()
    bigstk_1Y = sub_info_1Y.sort(columns='tnv_1Y',ascending=False)['ticker'][0:3].tolist()
    
    sub_info_3M = tk_rtn_df_3M[tk_rtn_df_3M['ticker'].isin(tks)]    #先选出该行业的个股内容，包括收益和平均成交金额
    rtn_ind_3M = (sub_info_3M['inc_3M']*sub_info_3M['tnv_3M']).sum()/sub_info_3M['tnv_3M'].sum()
    bigstk_3M = sub_info_3M.sort(columns='tnv_3M',ascending=False)['ticker'][0:3].tolist()
    
    sub_info_5B = tk_rtn_df_5B[tk_rtn_df_5B['ticker'].isin(tks)]    #先选出该行业的个股内容，包括收益和平均成交金额
    rtn_ind_5B = (sub_info_5B['inc_5B']*sub_info_5B['tnv_5B']).sum()/sub_info_5B['tnv_5B'].sum()
    bigstk_5B = sub_info_5B.sort(columns='tnv_5B',ascending=False)['ticker'][0:3].tolist()
    
    ind_rtn_dic['industry'].append(ind)
    ind_rtn_dic['Num'].append(len(sub_info_1Y))
    ind_rtn_dic['rtn_1Y'].append(rtn_ind_1Y)
    ind_rtn_dic['bigstk_1Y'].append(map(lambda x:tk_nm_dic[x],bigstk_1Y))
    ind_rtn_dic['rtn_3M'].append(rtn_ind_3M)
    ind_rtn_dic['bigstk_3M'].append(map(lambda x:tk_nm_dic[x],bigstk_3M))
    ind_rtn_dic['rtn_5B'].append(rtn_ind_5B)
    ind_rtn_dic['bigstk_5B'].append(map(lambda x:tk_nm_dic[x],bigstk_5B))
    
ind_rtn_df = pd.DataFrame(ind_rtn_dic)
```

```py
ind_rtn_df_sort_1Y = ind_rtn_df.sort(columns='rtn_1Y',ascending=False).loc[:,['industry','rtn_1Y','bigstk_1Y','Num','rtn_3M','rtn_5B']]
ind_rtn_df_sort_1Y.columns = [u'行业名称',u'最近一年收益',u'一年内平均成交量最大的股票',u'该行业个股数目',u'最近3个月收益',u'最近5个交易日收益']
print u'一共有%d个申万二级行业'%len(ind_rtn_df_sort_1Y),u'，1年内行业涨幅'
ind_rtn_df_sort_1Y

一共有103个申万二级行业 ，1年内行业涨幅
```


| | 行业名称 | 最近一年收益 | 一年内平均成交量最大的股票 | 该行业个股数目 | 最近3个月收益 | 最近5个交易日收益 |
| --- | --- | --- | --- | --- | --- | --- |
| 99  |      运输设备 |  5.303234 |  [中国南车, 中国北车, 晋西车轴] |    8 |  1.173940 | -0.014448 |
| 90  |      基础建设 |  4.691083 |  [中国中铁, 中国铁建, 中国交建] |   25 |  0.921275 |  0.093444 |
| 1   |      航空运输 |  3.131124 |  [海南航空, 南方航空, 春秋航空] |    6 |  0.876162 |  0.056124 |
| 8   |        航运 |  3.057806 |  [中海集运, 中国远洋, 中海发展] |   12 |  1.016439 |  0.270692 |
| 15  |     计算机应用 |  2.754977 |  [用友网络, 恒生电子, 华胜天成] |   96 |  0.860180 |  0.011083 |
| 98  |     互联网传媒 |  2.651445 |    [乐视网, 鹏博士, 东方财富] |   24 |  0.802981 |  0.062447 |
| 39  |      专业工程 |  2.625073 |  [中国中冶, 中国化学, 航天工程] |   20 |  0.915729 |  0.247647 |
| 53  |      房屋建设 |  2.582405 |  [中国建筑, 上海建工, 龙元建设] |    4 |  0.629508 |  0.091970 |
| 71  |     计算机设备 |  2.366100 |  [同方股份, 大华股份, 浪潮信息] |   40 |  0.575884 |  0.014130 |
| 13  |        证券 |  2.361874 |  [中信证券, 东方证券, 海通证券] |   23 |  0.523428 |  0.021711 |
| 34  |      通信运营 |  2.353681 |         [中国联通, 二六三] |    2 |  1.195826 |  0.305338 |
| 11  |      仪器仪表 |  2.329112 |  [航天科技, 天和防务, 先河环保] |   24 |  0.734938 |  0.069429 |
| 24  |      船舶制造 |  2.266239 |  [中国重工, 中国船舶, 广船国际] |    8 |  0.602151 |  0.111529 |
| 7   |      专用设备 |  2.191821 |  [三一重工, 中国一重, 中联重科] |  105 |  0.504312 |  0.083313 |
| 81  |        钢铁 |  2.183165 |  [包钢股份, 宝钢股份, 河北钢铁] |   33 |  0.550343 |  0.035136 |
| 60  |        物流 |  2.115166 |   [怡亚通, 中储股份, 建发股份] |   18 |  0.703845 |  0.008994 |
| 70  |        港口 |  2.063319 |     [天津港, 唐山港, 营口港] |   17 |  0.389900 |  0.018574 |
| 33  |     农产品加工 |  1.938949 |  [中粮屯河, 中粮生化, 朗源股份] |   17 |  0.646614 |  0.078169 |
| 94  |      通用机械 |  1.894176 |   [中核科技, 机器人, 晋亿实业] |   96 |  0.604509 |  0.016274 |
| 52  |      高速公路 |  1.891902 |  [福建高速, 重庆路桥, 五洲交通] |   18 |  0.645981 |  0.040706 |
| 23  |      化学纤维 |  1.821298 |  [中纺投资, 皖维高新, 华峰氨纶] |   27 |  0.638380 |  0.085734 |
| 12  |      地面兵装 |  1.820928 |  [北方导航, 中航黑豹, 四创电子] |    4 |  0.228236 | -0.024187 |
| 44  |      服装家纺 |  1.805284 |    [雅戈尔, 际华集团, 探路者] |   39 |  0.621356 |  0.002398 |
| 62  |      航空装备 |  1.793423 |  [中航飞机, 成飞集成, 洪都航空] |   13 |  0.351965 |  0.005921 |
| 97  |    商业物业经营 |  1.791940 |    [小商品城, 农产品, 轻纺城] |   15 |  0.638699 |  0.010417 |
| 36  |      多元金融 |  1.787572 |  [中航资本, 爱建股份, 安信信托] |   11 |  0.330127 |  0.096928 |
| 41  |        景点 |  1.787031 |   [九华旅游, 宋城演艺, 长白山] |    8 |  0.819598 |  0.030744 |
| 25  |      旅游综合 |  1.783006 |   [中青旅, 腾邦国际, 北部湾旅] |   16 |  0.809576 |  0.005146 |
| 83  |      营销传播 |  1.779635 |  [蓝色光标, 省广股份, 腾信股份] |    9 |  0.431896 | -0.006486 |
| 56  |        电力 |  1.766792 |  [国电电力, 国投电力, 长江电力] |   58 |  0.489520 |  0.050847 |
| ... | ... | ... | ... | ... | ... | ... |
| 50  |        造纸 |  1.263068 |  [景兴纸业, 山鹰纸业, 冠豪高新] |   23 |  0.480623 |  0.019398 |
| 95  |      化学制药 |  1.256582 |   [鲁抗医药, 恒瑞医药, 新和成] |   62 |  0.478035 |  0.009671 |
| 69  |        综合 |  1.248448 |  [中国宝安, 中信国安, 东方集团] |   53 |  0.444324 |  0.031787 |
| 65  |        公交 |  1.229096 |  [大众交通, 强生控股, 锦江投资] |    8 |  0.451447 |  0.009324 |
| 75  |        饲料 |  1.216313 |    [新希望, 大北农, 禾丰牧业] |   11 |  0.403494 |  0.000612 |
| 58  |       半导体 |  1.206561 |  [国民技术, 长电科技, 华天科技] |   22 |  0.471403 |  0.030992 |
| 32  |      畜禽养殖 |  1.177174 |   [罗牛山, 大康牧业, 仙坛股份] |   16 |  0.529071 |  0.011948 |
| 26  |        机场 |  1.166775 |  [上海机场, 白云机场, 厦门空港] |    4 |  0.275427 | -0.039167 |
| 101 |  金属非金属新材料 |  1.131387 |  [烯碳新材, 方大炭素, 中科三环] |   24 |  0.404832 |  0.009488 |
| 22  |      水泥制造 |  1.112418 |  [海螺水泥, 金隅股份, 亚泰集团] |   19 |  0.411717 | -0.003110 |
| 30  |        中药 |  1.090465 |  [康美药业, 吉林敖东, 云南白药] |   59 |  0.506922 |  0.023478 |
| 28  |      医疗服务 |  1.086574 |  [恒康医疗, 爱尔眼科, 金陵药业] |    8 |  0.770956 | -0.007666 |
| 40  |      石油化工 |  1.062722 |  [中国石化, 广汇能源, 上海石化] |   15 |  0.458994 |  0.155356 |
| 45  |      动物保健 |  1.061414 |  [中牧股份, 金宇集团, 升华拜克] |    7 |  0.397987 |  0.002755 |
| 10  |      采掘服务 |  1.059690 |  [海油工程, 中海油服, 中矿资源] |   11 |  0.391112 | -0.026253 |
| 9   |      农业综合 |  1.047126 |        [大禹节水, 农发种业] |    2 |  0.215880 | -0.004511 |
| 49  |        银行 |  1.031171 |  [兴业银行, 浦发银行, 民生银行] |   16 |  0.243698 |  0.031925 |
| 46  |      汽车服务 |  1.024574 |  [庞大集团, 申华控股, 国机汽车] |    6 |  0.572989 |  0.112366 |
| 43  |      稀有金属 |  1.023880 |  [北方稀土, 五矿稀土, 厦门钨业] |   21 |  0.326484 |  0.028529 |
| 79  |      石油开采 |  0.999020 |              [中国石油] |    1 |  0.169796 |  0.103156 |
| 77  |       种植业 |  0.997333 |  [亚盛集团, 海南橡胶, 隆平高科] |   14 |  0.255847 | -0.008357 |
| 76  |      玻璃制造 |  0.988161 |   [南玻A, 金刚玻璃, 金晶科技] |    9 |  0.495342 |  0.117769 |
| 6   |      汽车整车 |  0.976699 |   [上汽集团, 比亚迪, 长安汽车] |   22 |  0.300511 |  0.031516 |
| 91  |     光学光电子 |  0.960364 |  [京东方A, 三安光电, 东旭光电] |   42 |  0.389974 | -0.029134 |
| 21  |      食品加工 |  0.873128 |  [伊利股份, 双汇发展, 梅花生物] |   33 |  0.383895 | -0.016259 |
| 63  |      园林工程 |  0.856421 |  [东方园林, 蒙草抗旱, 棕榈园林] |    7 |  0.421860 | -0.027685 |
| 38  |        渔业 |  0.778087 |    [大湖股份, 好当家, 獐子岛] |   10 |  0.389029 |  0.018921 |
| 93  |      饮料制造 |  0.774735 |   [五粮液, 贵州茅台, 泸州老窖] |   36 |  0.267515 | -0.024910 |
| 2   |    其他轻工制造 |  0.742366 |              [易尚展示] |    1 |  0.742366 |  0.742366 |
| 55  |        餐饮 |  0.552202 |  [中科云网, 西安饮食, 零七股份] |    4 |  0.192203 |  0.013139 |

```
103 rows × 6 columns
```

```py
ind_rtn_df_sort_3M = ind_rtn_df.sort(columns='rtn_3M',ascending=False).loc[:,['industry','rtn_3M','bigstk_3M','Num','rtn_1Y','rtn_5B']]
ind_rtn_df_sort_3M.columns = [u'行业名称',u'最近3个月收益',u'3个月内平均成交量最大的股票',u'该行业个股数目',u'最近一年收益',u'最近5个交易日收益']
print u'一共有%d个申万二级行业'%len(ind_rtn_df_sort_1Y),u'，3个月内行业涨幅'
ind_rtn_df_sort_3M

一共有103个申万二级行业 ，3个月内行业涨幅
```


| | 行业名称 | 最近3个月收益 | 3个月内平均成交量最大的股票 | 该行业个股数目 | 最近一年收益 | 最近5个交易日收益 |
| --- | --- | --- | --- | --- | --- | --- |
| 34  |      通信运营 |  1.195826 |         [中国联通, 二六三] |   2 |  2.353681 |  0.305338 |
| 99  |      运输设备 |  1.173940 |  [中国南车, 中国北车, 晋西车轴] |   8 |  5.303234 | -0.014448 |
| 8   |        航运 |  1.016439 |  [中海集运, 中国远洋, 中海发展] |  12 |  3.057806 |  0.270692 |
| 90  |      基础建设 |  0.921275 |  [中国中铁, 中国铁建, 中国交建] |  25 |  4.691083 |  0.093444 |
| 39  |      专业工程 |  0.915729 |  [中国中冶, 中国化学, 中工国际] |  20 |  2.625073 |  0.247647 |
| 1   |      航空运输 |  0.876162 |  [南方航空, 海南航空, 中国国航] |   6 |  3.131124 |  0.056124 |
| 15  |     计算机应用 |  0.860180 |   [大智慧, 用友网络, 恒生电子] |  96 |  2.754977 |  0.011083 |
| 41  |        景点 |  0.819598 |  [宋城演艺, 九华旅游, 峨眉山A] |   8 |  1.787031 |  0.030744 |
| 25  |      旅游综合 |  0.809576 |   [中青旅, 腾邦国际, 号百控股] |  16 |  1.783006 |  0.005146 |
| 98  |     互联网传媒 |  0.802981 |    [乐视网, 掌趣科技, 鹏博士] |  24 |  2.651445 |  0.062447 |
| 100 |      装修装饰 |  0.789720 |   [金螳螂, 洪涛股份, 亚厦股份] |  12 |  1.460358 |  0.022219 |
| 28  |      医疗服务 |  0.770956 |  [迪安诊断, 恒康医疗, 爱尔眼科] |   8 |  1.086574 | -0.007666 |
| 51  |      电子制造 |  0.755818 |  [歌尔声学, 蓝思科技, 得润电子] |  32 |  1.431560 | -0.004972 |
| 2   |    其他轻工制造 |  0.742366 |              [易尚展示] |   1 |  0.742366 |  0.742366 |
| 11  |      仪器仪表 |  0.734938 |   [航天科技, 先河环保, 雪迪龙] |  24 |  2.329112 |  0.069429 |
| 57  |   环保工程及服务 |  0.722461 |    [万邦达, 碧水源, 桑德环境] |  28 |  1.687707 |  0.021656 |
| 5   |      医疗器械 |  0.711224 |  [和佳股份, 千山药机, 新华医疗] |  22 |  1.628250 |  0.044459 |
| 60  |        物流 |  0.703845 |   [怡亚通, 建发股份, 中储股份] |  18 |  2.115166 |  0.008994 |
| 61  |      一般零售 |  0.669449 |  [文峰股份, 国际医学, 永辉超市] |  49 |  1.501575 |  0.033214 |
| 89  |   电气自动化设备 |  0.647961 |  [国电南瑞, 许继电气, 汇川技术] |  38 |  1.429676 |  0.017054 |
| 33  |     农产品加工 |  0.646614 |  [中粮屯河, 中粮生化, 东凌粮油] |  17 |  1.938949 |  0.078169 |
| 52  |      高速公路 |  0.645981 |  [中原高速, 福建高速, 重庆路桥] |  18 |  1.891902 |  0.040706 |
| 97  |    商业物业经营 |  0.638699 |   [小商品城, 农产品, 华联股份] |  15 |  1.791940 |  0.010417 |
| 23  |      化学纤维 |  0.638380 |  [皖维高新, 中纺投资, 华峰氨纶] |  27 |  1.821298 |  0.085734 |
| 29  |      包装印刷 |  0.637423 |   [劲嘉股份, 陕西金叶, 奥瑞金] |  24 |  1.531204 |  0.042091 |
| 53  |      房屋建设 |  0.629508 |  [中国建筑, 上海建工, 龙元建设] |   4 |  2.582405 |  0.091970 |
| 44  |      服装家纺 |  0.621356 |   [雅戈尔, 际华集团, 美邦服饰] |  39 |  1.805284 |  0.002398 |
| 0   |      家用轻工 |  0.621297 |  [宜华木业, 威华股份, 明牌珠宝] |  43 |  1.272965 |  0.081527 |
| 94  |      通用机械 |  0.604509 |   [中核科技, 机器人, 中航重机] |  96 |  1.894176 |  0.016274 |
| 24  |      船舶制造 |  0.602151 |  [中国重工, 中国船舶, 广船国际] |   8 |  2.266239 |  0.111529 |
| ... | ... | ... | ... | ... | ... | ... |
| 63  |      园林工程 |  0.421860 |  [东方园林, 普邦园林, 蒙草抗旱] |   7 |  0.856421 | -0.027685 |
| 22  |      水泥制造 |  0.411717 |  [海螺水泥, 亚泰集团, 金隅股份] |  19 |  1.112418 | -0.003110 |
| 86  |    其他交运设备 |  0.411019 |  [隆鑫通用, 中国嘉陵, 深中华A] |   7 |  1.294861 | -0.028150 |
| 101 |  金属非金属新材料 |  0.404832 |  [烯碳新材, 中科三环, 沃尔核材] |  24 |  1.131387 |  0.009488 |
| 75  |        饲料 |  0.403494 |    [新希望, 大北农, 海大集团] |  11 |  1.216313 |  0.000612 |
| 45  |      动物保健 |  0.397987 |  [中牧股份, 金宇集团, 瑞普生物] |   7 |  1.061414 |  0.002755 |
| 92  |        贸易 |  0.392636 |  [辽宁成大, 厦门国贸, 五矿发展] |  23 |  1.607619 |  0.026065 |
| 10  |      采掘服务 |  0.391112 |  [海油工程, 中海油服, 恒泰艾普] |  11 |  1.059690 | -0.026253 |
| 91  |     光学光电子 |  0.389974 |  [京东方A, 东旭光电, 三安光电] |  42 |  0.960364 | -0.029134 |
| 70  |        港口 |  0.389900 |    [上港集团, 宁波港, 唐山港] |  17 |  2.063319 |  0.018574 |
| 38  |        渔业 |  0.389029 |    [大湖股份, 獐子岛, 好当家] |  10 |  0.778087 |  0.018921 |
| 21  |      食品加工 |  0.383895 |  [伊利股份, 梅花生物, 双汇发展] |  33 |  0.873128 | -0.016259 |
| 62  |      航空装备 |  0.351965 |  [中航飞机, 中航动力, 洪都航空] |  13 |  1.793423 |  0.005921 |
| 84  |      园区开发 |  0.349786 |   [张江高科, 陆家嘴, 浦东金桥] |   9 |  1.700588 |  0.059708 |
| 85  |        燃气 |  0.332420 |  [深圳燃气, 陕天然气, 金鸿能源] |   7 |  1.489302 | -0.018759 |
| 36  |      多元金融 |  0.330127 |  [中航资本, 大众公用, 爱建股份] |  11 |  1.787572 |  0.096928 |
| 43  |      稀有金属 |  0.326484 |  [北方稀土, 五矿稀土, 锡业股份] |  21 |  1.023880 |  0.028529 |
| 14  |        电机 |  0.325072 |  [卧龙电气, 佳电股份, 通达动力] |   8 |  1.455971 | -0.022692 |
| 47  |      航天装备 |  0.323204 |  [中国卫星, 航天电子, 航天动力] |   6 |  1.422559 |  0.032242 |
| 6   |      汽车整车 |  0.300511 |   [上汽集团, 比亚迪, 一汽轿车] |  22 |  0.976699 |  0.031516 |
| 26  |        机场 |  0.275427 |  [上海机场, 深圳机场, 白云机场] |   4 |  1.166775 | -0.039167 |
| 93  |      饮料制造 |  0.267515 |   [五粮液, 贵州茅台, 泸州老窖] |  36 |  0.774735 | -0.024910 |
| 77  |       种植业 |  0.255847 |  [亚盛集团, 海南橡胶, 隆平高科] |  14 |  0.997333 | -0.008357 |
| 49  |        银行 |  0.243698 |  [兴业银行, 中国银行, 浦发银行] |  16 |  1.031171 |  0.031925 |
| 12  |      地面兵装 |  0.228236 |  [北方导航, 中航黑豹, 四创电子] |   4 |  1.820928 | -0.024187 |
| 9   |      农业综合 |  0.215880 |        [大禹节水, 农发种业] |   2 |  1.047126 | -0.004511 |
| 55  |        餐饮 |  0.192203 |   [中科云网, 零七股份, 全聚德] |   4 |  0.552202 |  0.013139 |
| 79  |      石油开采 |  0.169796 |              [中国石油] |   1 |  0.999020 |  0.103156 |
| 18  |        林业 |  0.151489 |  [平潭发展, 吉林森工, 福建金森] |   5 |  1.573602 | -0.054994 |
| 72  |        保险 |  0.122277 |  [中国平安, 中国人寿, 中国太保] |   5 |  1.480924 |  0.001178 |

```
103 rows × 6 columns
```

```py
ind_rtn_df_sort_5B = ind_rtn_df.sort(columns='rtn_5B',ascending=False).loc[:,['industry','rtn_5B','bigstk_5B','Num','rtn_1Y','rtn_5B']]
ind_rtn_df_sort_5B.columns = [u'行业名称',u'最近5个交易日收益',u'5个交易日内平均成交量最大的股票',u'该行业个股数目',u'最近一年收益',u'最近3个月收益']
print u'一共有%d个申万二级行业'%len(ind_rtn_df_sort_1Y),u'，5个交易日内行业涨幅'
ind_rtn_df_sort_5B

一共有103个申万二级行业 ，5个交易日内行业涨幅
```


| | 行业名称 | 最近5个交易日收益 | 5个交易日内平均成交量最大的股票 | 该行业个股数目 | 最近一年收益 | 最近3个月收益 |
| --- | --- | --- | --- | --- | --- | --- |
| 2  |  其他轻工制造 |  0.742366 |               [易尚展示] |    1 |  0.742366 |  0.742366 |
| 34 |    通信运营 |  0.305338 |          [中国联通, 二六三] |    2 |  2.353681 |  0.305338 |
| 8  |      航运 |  0.270692 |   [中国远洋, 中海集运, 中海发展] |   12 |  3.057806 |  0.270692 |
| 39 |    专业工程 |  0.247647 |   [中国中冶, 中国化学, 中工国际] |   20 |  2.625073 |  0.247647 |
| 40 |    石油化工 |  0.155356 |   [中国石化, 广汇能源, 上海石化] |   15 |  1.062722 |  0.155356 |
| 76 |    玻璃制造 |  0.117769 |    [南玻A, 金晶科技, 耀皮玻璃] |    9 |  0.988161 |  0.117769 |
| 46 |    汽车服务 |  0.112366 |   [庞大集团, 申华控股, 中国汽研] |    6 |  1.024574 |  0.112366 |
| 24 |    船舶制造 |  0.111529 |   [中国重工, 中国船舶, 广船国际] |    8 |  2.266239 |  0.111529 |
| 79 |    石油开采 |  0.103156 |               [中国石油] |    1 |  0.999020 |  0.103156 |
| 36 |    多元金融 |  0.096928 |   [中航资本, 大众公用, 渤海租赁] |   11 |  1.787572 |  0.096928 |
| 90 |    基础建设 |  0.093444 |   [中国中铁, 中国铁建, 中国交建] |   25 |  4.691083 |  0.093444 |
| 53 |    房屋建设 |  0.091970 |   [中国建筑, 上海建工, 龙元建设] |    4 |  2.582405 |  0.091970 |
| 35 |      酒店 |  0.091441 |   [华天酒店, 锦江股份, 大东海A] |    7 |  1.469323 |  0.091441 |
| 23 |    化学纤维 |  0.085734 |   [石化油服, 中纺投资, 华西股份] |   27 |  1.821298 |  0.085734 |
| 7  |    专用设备 |  0.083313 |   [中国一重, 三一重工, 中联重科] |  105 |  2.191821 |  0.083313 |
| 0  |    家用轻工 |  0.081527 |   [宜华木业, 威华股份, 乐凯胶片] |   43 |  1.272965 |  0.081527 |
| 33 |   农产品加工 |  0.078169 |   [中粮屯河, 中粮生化, 国投中鲁] |   17 |  1.938949 |  0.078169 |
| 3  |    铁路运输 |  0.074405 |   [大秦铁路, 广深铁路, 铁龙物流] |    3 |  1.552497 |  0.074405 |
| 11 |    仪器仪表 |  0.069429 |    [航天科技, 雪迪龙, 天和防务] |   24 |  2.329112 |  0.069429 |
| 42 |    其他采掘 |  0.063680 |   [攀钢钒钛, 西藏矿业, 金岭矿业] |    9 |  1.334411 |  0.063680 |
| 98 |   互联网传媒 |  0.062447 |     [乐视网, 掌趣科技, 鹏博士] |   24 |  2.651445 |  0.062447 |
| 84 |    园区开发 |  0.059708 |    [张江高科, 陆家嘴, 南京高科] |    9 |  1.700588 |  0.059708 |
| 1  |    航空运输 |  0.056124 |   [海南航空, 南方航空, 中国国航] |    6 |  3.131124 |  0.056124 |
| 73 |    文化传媒 |  0.055896 |    [百视通, 东方明珠, 电广传媒] |   35 |  1.552490 |  0.055896 |
| 80 |    白色家电 |  0.053758 |   [格力电器, 青岛海尔, 美的集团] |   44 |  1.321674 |  0.053758 |
| 16 |    化学原料 |  0.052725 |   [内蒙君正, 三友化工, 中泰化学] |   23 |  1.363827 |  0.052725 |
| 56 |      电力 |  0.050847 |   [国电电力, 国投电力, 浙能电力] |   58 |  1.766792 |  0.050847 |
| 68 |    工业金属 |  0.047487 |   [中国铝业, 南山铝业, 江西铜业] |   42 |  1.603236 |  0.047487 |
| 5  |    医疗器械 |  0.044459 |   [千山药机, 新华医疗, 鱼跃医疗] |   22 |  1.628250 |  0.044459 |
| 27 |    煤炭开采 |  0.042696 |   [中国神华, 中煤能源, 永泰能源] |   42 |  1.308314 |  0.042696 |
| ... | ... | ... | ... | ... | ... | ... |
| 65 |      公交 |  0.009324 |   [大众交通, 强生控股, 锦江投资] |    8 |  1.229096 |  0.009324 |
| 60 |      物流 |  0.008994 |    [怡亚通, 建发股份, 中储股份] |   18 |  2.115166 |  0.008994 |
| 66 |    其他建材 |  0.006497 |   [国栋建设, 国睿科技, 濮耐股份] |   41 |  1.446100 |  0.006497 |
| 62 |    航空装备 |  0.005921 |   [中航飞机, 中航动力, 洪都航空] |   13 |  1.793423 |  0.005921 |
| 25 |    旅游综合 |  0.005146 |    [号百控股, 中青旅, 腾邦国际] |   16 |  1.783006 |  0.005146 |
| 45 |    动物保健 |  0.002755 |   [天康生物, 中牧股份, 金宇集团] |    7 |  1.061414 |  0.002755 |
| 44 |    服装家纺 |  0.002398 |    [际华集团, 美邦服饰, 报喜鸟] |   39 |  1.805284 |  0.002398 |
| 72 |      保险 |  0.001178 |   [中国平安, 中国太保, 中国人寿] |    5 |  1.480924 |  0.001178 |
| 88 |    通信设备 |  0.001046 |   [中兴通讯, 网宿科技, 海格通信] |   59 |  1.338543 |  0.001046 |
| 75 |      饲料 |  0.000612 |     [大北农, 新希望, 禾丰牧业] |   11 |  1.216313 |  0.000612 |
| 59 |      橡胶 | -0.002903 |   [黔轮胎A, 青岛双星, 赛轮金宇] |   14 |  1.310560 | -0.002903 |
| 22 |    水泥制造 | -0.003110 |   [海螺水泥, 金隅股份, 冀东水泥] |   19 |  1.112418 | -0.003110 |
| 9  |    农业综合 | -0.004511 |         [农发种业, 大禹节水] |    2 |  1.047126 | -0.004511 |
| 51 |    电子制造 | -0.004972 |   [歌尔声学, 蓝思科技, 得润电子] |   32 |  1.431560 | -0.004972 |
| 83 |    营销传播 | -0.006486 |   [蓝色光标, 省广股份, 华谊嘉信] |    9 |  1.779635 | -0.006486 |
| 28 |    医疗服务 | -0.007666 |   [迪安诊断, 恒康医疗, 泰格医药] |    8 |  1.086574 | -0.007666 |
| 77 |     种植业 | -0.008357 |   [亚盛集团, 海南橡胶, 隆平高科] |   14 |  0.997333 | -0.008357 |
| 99 |    运输设备 | -0.014448 |   [中国南车, 中国北车, 晋西车轴] |    8 |  5.303234 | -0.014448 |
| 21 |    食品加工 | -0.016259 |   [伊利股份, 梅花生物, 汤臣倍健] |   33 |  0.873128 | -0.016259 |
| 85 |      燃气 | -0.018759 |   [国新能源, 长春燃气, 金鸿能源] |    7 |  1.489302 | -0.018759 |
| 14 |      电机 | -0.022692 |   [江特电机, 卧龙电气, 佳电股份] |    8 |  1.455971 | -0.022692 |
| 12 |    地面兵装 | -0.024187 |   [北方导航, 中航黑豹, 光电股份] |    4 |  1.820928 | -0.024187 |
| 17 |    视听器材 | -0.024822 |  [TCL集团, 四川长虹, 海信电器] |    9 |  1.427695 | -0.024822 |
| 93 |    饮料制造 | -0.024910 |    [贵州茅台, 五粮液, 泸州老窖] |   36 |  0.774735 | -0.024910 |
| 10 |    采掘服务 | -0.026253 |   [海油工程, 中海油服, 恒泰艾普] |   11 |  1.059690 | -0.026253 |
| 63 |    园林工程 | -0.027685 |   [东方园林, 普邦园林, 蒙草抗旱] |    7 |  0.856421 | -0.027685 |
| 86 |  其他交运设备 | -0.028150 |   [中国嘉陵, 隆鑫通用, 深中华A] |    7 |  1.294861 | -0.028150 |
| 91 |   光学光电子 | -0.029134 |   [京东方A, 三安光电, 东旭光电] |   42 |  0.960364 | -0.029134 |
| 26 |      机场 | -0.039167 |   [上海机场, 厦门空港, 深圳机场] |    4 |  1.166775 | -0.039167 |
| 18 |      林业 | -0.054994 |   [平潭发展, 永安林业, 吉林森工] |    5 |  1.573602 | -0.054994 |

```
103 rows × 6 columns
```

